import { ImageProps } from "../image/image.model";
export type ImageDimensions = {
    width: number;
    height: number;
};
export type GridDimensions = {
    columns?: number;
    rows?: number;
};
export type ZoomLevel = "1X" | "2X" | "3X";
export type ImageSize = {
    [key in ZoomLevel]: {
        width: number;
        height: number;
    };
};
export type Position = {
    x: number;
    y: number;
};
export type Theme = {
    backgroundColor: string;
    thumbnailBgColor: string;
    controlBgColor: string;
    controlBtnColor: string;
    controlsBackDropColor: string;
    primaryColor: string;
};
export type GridProps = {
    images: ImageProps[];
    gridLayout?: "horizontal" | "vertical";
    gridDimensions?: GridDimensions;
    width?: number | string;
    height?: number | string;
    gap?: number;
    mode?: "auto" | "manual";
    imageSizes?: ImageSize;
    showProgressBar?: boolean;
    totalImages?: number;
    theme?: Theme;
    enableResize?: boolean;
    enableDarkMode?: boolean;
};
export declare const defaultImageSizes: {
    "1X": {
        height: number;
        width: number;
    };
    "2X": {
        height: number;
        width: number;
    };
    "3X": {
        height: number;
        width: number;
    };
};
